<template>
  <!-- 推广报表: 推广报表-->
  <div class="iframe-container">
    <iframe :src="url"
            style="border: 0;"></iframe>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import { initData } from '@/common/methods';
import { getToken } from '@/services/bus/token';
import { serviceURL } from '@/services/request/serviceURL';
import { getThirdMenuData } from '@/common/setup/table/button';

export default defineComponent({
    name: 'platinum_promotion_report_tab',
    components: {},
    setup() {
        const token = getToken();
        const url = ref<string>('');
        const list = getThirdMenuData();
        initData(() => {
            url.value = `${serviceURL.pcMangerUrl}${list[0].url}?token=${token}&tabindex=1&resourcePCMenu=`;
        });
        return { url };
    },
});
</script>

<style lang="less">
</style
>;
